> For the complete documentation index, see [llms.txt](https://docs.pascom.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pascom.net/en/reference/howto/client-proxy-usage.md).

# Use PASCOM App via Proxy Server

In this HowTo you will learn how to use the PASCOM App via your proxy server.

## Overview

If you use your own proxy server in your company to control the data traffic or to ensure a secure handling of the Internet, a few things have to be considered. The PASCOM App must also be configured accordingly.

{% hint style="warning" %}
We generally recommend not to let the data traffic of the PASCOM App run via a proxy server. If possible, set up appropriate rules in your firewall. The use of **softphones** in the PASCOM App only works without a proxy server.
{% endhint %}

## Configure proxy server within the PASCOM App

In the settings of the PASCOM App you will find the menu item **Advanced settings** in the lower area. There you will find the Proxy Settings, which you can set with your server data.

![Proxy Server Settings within the PASCOM App](https://2713225-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FVIw0BpSv358R2Pr2HflD%2Fuploads%2Fgit-blob-765db129a0b40011e3a225f502449dc656f8c3b8%2Fproxysettings.jpg?alt=media)

#### Parameter Description

| Parameter | Description                                                  |
| --------- | ------------------------------------------------------------ |
| Server    | IP-Address of your Proxy Server                              |
| Port      | Default Port: 3128, A own port can also be used              |
| User      | User for authentication at the proxy server. Is optional     |
| Password  | Password for authentication at the proxy server. Is optional |

## Configure proxy server during initial setup

During initial setup, the PASCOM App usually has not yet connected to the server. To set the proxy server settings at this state, you can also set the proxy settings via the login screen.

![Proxy Server Settings Login Screen](https://2713225-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FVIw0BpSv358R2Pr2HflD%2Fuploads%2Fgit-blob-3fe97126dd8cd4aa9ce173859bdecbf2d8f85cda%2Fproxysettings_loginscreen.png?alt=media)

Here you can set the proxy settings before the user logs in for the first time.

![Proxy Server Settings Login Screen](https://2713225-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FVIw0BpSv358R2Pr2HflD%2Fuploads%2Fgit-blob-dc0351aed72361cf02cffb6d3e923b71ea226f6b%2Fproxysettings_bevore_first_login.png?alt=media)

## Configure proxy server with command line parameters

The PASCOM App can be used with environment variables and command line parameters, so that e.g. when rolling out several PASCOM Apps the corresponding proxy server settings can be set.

An overview of the command line parameters can be found [here](/en/operations/clients.md).

## Successful connection of the PASCOM App via your proxy server

You can always check the connection status in the **Advanced settings**. As soon as the PASCOM App was able to connect successfully via your proxy server, you will see the value **true** under **Envoironment Infos** at the item **Proxy is used:**.

![Successful Connection via Proxy Server](https://2713225-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FVIw0BpSv358R2Pr2HflD%2Fuploads%2Fgit-blob-d78d3babff4711bd894305398eb813167e6b80a7%2Fsuccessful_connection.png?alt=media)

## Logic of the PASCOM App when establishing a connection

The PASCOM App uses a programmed logic when establishing a connection. Basically, every time a connection is established, an attempt is made to establish a connection with and without a proxy server. In the following screenshot you can see such a connection attempt from a log file.

![Log file with connection details](https://2713225-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FVIw0BpSv358R2Pr2HflD%2Fuploads%2Fgit-blob-3fd6d0876a16aba636669ff96fc572ab88dbb9bc%2Fconnectionlog.png?alt=media)

In the log file nicely to see, the PASCOM App has found a connection via the proxy server.

{% hint style="success" %}
If the PASCOM App finds a connection without proxy when establishing a connection, a connection without proxy will be established even if the proxy settings are configured.
{% endhint %}

In addition, the PASCOM App tries to use the proxy settings set in the operating system. However, there are restrictions here. The proxy server must be set up without authentication, because the user name and password will not be read out.

{% hint style="warning" %}
Automatic proxy detection does not work on iOS devices.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pascom.net/en/reference/howto/client-proxy-usage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
